Browse settings
curl --request GET \
--url https://api.{tenant}.getomneo.com/api/v3/settingsimport requests
url = "https://api.{tenant}.getomneo.com/api/v3/settings"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.{tenant}.getomneo.com/api/v3/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"handle": "<string>",
"value": "<string>",
"type": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}Setting
Browse settings
A GET to the /settings endpoint allows your application to retrieve all a tenants setting.
GET
/
v3
/
settings
Browse settings
Filtering
This endpoint accepts
filter and sort query parameters. See Filtering, sorting, and search for paging and for the shared search_with, custom_field, and json_contains filters.Examples
curl -X GET "https://api.[tenant].getomneo.com/api/v3/settings?filter[handle]={handle}" \
-H "Authorization: Bearer ${TOKEN}"
curl -X GET "https://api.[tenant].getomneo.com/api/v3/settings?filter[handle][nullable]=0" \
-H "Authorization: Bearer ${TOKEN}"
Operators
| Operator | Meaning | Example |
|---|---|---|
eq | Equal to. Applied when you give no operator. | filter[handle]={handle} |
ne | Not equal to. | filter[handle][ne]={handle} |
gt | Greater than. | filter[value][gt]=100 |
gte | Greater than or equal to. | filter[value][gte]=100 |
lt | Less than. | filter[value][lt]=250 |
lte | Less than or equal to. | filter[value][lte]=250 |
in | Matches any value in a comma separated list. | filter[handle][in]={handle},{other-handle} |
not_in | Excludes every value in a comma separated list. | filter[handle][not_in]={handle},{other-handle} |
nullable | 1 returns records where the attribute is empty. Any other value returns records where it is set. | filter[handle][nullable]=1 |
not_has operator applies to related attributes, which this endpoint does not have.
Filter attributes
| Attribute | Attribute | Attribute |
|---|---|---|
handle | value | type |
sort key, for example ?sort=-handle for descending order.Response
Array of Setting
Show child attributes
Show child attributes
⌘I